<?php

/*
Plugin Name: Sitex
Plugin URI: http://www.creativepulse.gr/en/appstore/sitex
Version: 1.0.1
Description: Outputs simple text, HTML, JavaScript etc.
License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
Author: Creative Pulse
Author URI: http://www.creativepulse.gr
*/


class CpExt_Sitex extends WP_Widget {

	function __construct() {
		$options = array('classname' => 'Sitex', 'description' => 'Sitex outputs simple text, HTML, JavaScript content');
		$this->WP_Widget('CpExt_Sitex', 'Sitex', $options);
	}

	function register_widget() {
		register_widget(get_class($this));
	}

	function widget($args, $instance) {
		echo $args['before_widget'];
		echo empty($instance['title']) ? '' : $args['before_title'] . $instance['title'] . $args['after_title'] . "\n";
		echo $instance['input'];
		echo $args['after_widget'];
	}

	function update($new_instance, $old_instance) {
		$fields = array('title', 'input');
		foreach ($fields as $field) {
			$old_instance[$field] = $new_instance[$field];
		}
		return $old_instance;
	}

	function form($instance) {
		$instance = wp_parse_args((array) $instance, array('title' => '', 'input' => ''));
		echo
'<p><label for="' . $this->get_field_id('title') . '">' . __('Title') . ':</label>
	<input class="widefat" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . esc_attr($instance['title']) . '" />
</p>
<p><label for="' . $this->get_field_id('input') . '">' . __('Input') . ':</label>
	<textarea class="widefat" id="' . $this->get_field_id('input') . '" name="' . $this->get_field_name('input') . '">' . esc_textarea($instance['input']) . '</textarea>
</p>
';
	}

}

add_action('widgets_init', array('CpExt_Sitex', 'register_widget'));

?>